Description

I'm developing a plugin and as I'm newbie in programmation, I frequently need to deactivate/reactivate my plugin in the plugin manager

to check how works the modifications I've just done. Instead of :

- clicking Plugin menu

- then clicking Install/Manage the plugins

before u reach the list of plugins, I think a shortcut icon on the plugin toolbar would be very helpful (even if I finally assign a key shortcut to

it)

History

#1 - 2014-07-23 03:41 AM - Alexander Bruy

Use Plugin Reloader plugin for this. Also you can assign keyboard shortcut for plugin manager via Settings → Configure Shortcuts

#2 - 2014-07-24 02:54 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2014-07-25 03:11 AM - Harrissou Santanna

Alexander Bruy wrote:

Also you can assign keyboard shortcut for plugin manager via Settings → Configure Shortcuts

As said in my first message, I finally assigned a key shortcut to open this dialog.

But without considering my current needs, why "Install and Manage plugins" action should not have a shortcut icon on a toolbar? Most of the (main)

functions in other menus (Vector, Project, Edit ...) have their icon on a toolbar, except "Install and Manage plugins" and "Python console" although they are

also important.

Alexander Bruy wrote:

Use Plugin Reloader plugin for this.

Thanks a lot. Awesome! This is a +1000 approved plugin. ADOPTED! I didn't know it but now I think I won't let him of so early, even if I have a bug of

displaying (adding twice my plugin icon) but i need to check first if it's not due to my code.

#4 - 2014-07-25 04:24 AM - Alexander Bruy

Harrissou Santanna wrote:
But without considering my current needs, why "Install and Manage plugins" action should not have a shortcut icon on a toolbar? Most of the (main)

functions in other menus (Vector, Project, Edit ...) have their icon on a toolbar, except "Install and Manage plugins" and "Python console" although

they are also important.

I think this is because "Plugin Manager" is not used so frequently. It is better to save this space for plugin icons or for other native tools.

#5 - 2014-10-25 02:07 AM - Jürgen Fischer

- Status changed from Feedback to Open

#6 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
